/**
  **********************************************************************************
  * @file    interrupt.c
  * @author  Product Application Department
  * @version V1.0
  * @date    2020.03.25
  * @brief   模块中断服务入口函数
  * @note none
  *
  @verbatim
  ===================================================================================
                                  ##### 更新 #####
  ===================================================================================
  [..] 更新时间:
  [..] 更新人:
  [..] 更新内容:
        1. nothing.
  @endverbatim
  */
#define __HAL__
#ifdef __HAL__

#include "interrupt.h"
#include "uart_drv.h"

/*** 全局变量定义 ***************************************************************/
//extern UART_HandleTypeDef UART1_Handle;
/*** volatile **********/

/*** @ static **********/

/*** 常量定义 *******************************************************************/

/*** 函数定义 *******************************************************************/
/**
 * @brief
 *
 * @retval NONE
 */

/**
 ***********************************************************************************
 * @brief 中断服务入口函数与模块对应表
 * - EFM_IRQHandler
 * - PMU_IRQHandler
 * - TC_IRQHandler
 * - PIT1_IRQHandler
 * - PIT2_IRQHandler
 * - ENCR_IRQHandler
 * - ENCR1_IRQHandler
 * - DMA1_IRQHandler
 * - DMA2_IRQHandler
 * - DMA2D_IRQHandler
 * - TRNG_IRQHandler
 * - SEC_PGD_LD_FD_IRQHandler
 * - PCI_DET_IRQHandler
 * - ASYNC_TIMER_IRQHandler
 * - PCI_IRQHandler
 * - PMU_RTC_IRQHandler
 * - RSA_IRQHandler
 * - SHA_IRQHandler
 * - AES_IRQHandler
 * - SMS4_IRQHandler
 * - QADC_IRQHandler
 * - DAC_IRQHandler
 * - MCC_IRQHandler
 * - TSI_IRQHandler
 * - USB_IRQHandler
 * - MIPI_IRQHandler
 * - SPI1_IRQHandler
 * - SPI2_IRQHandler
 * - SPI3_IRQHandler
 * - SPIM1_IRQHandler
 * - SPIM2_IRQHandler
 * - SPIM3_IRQHandler
 * - SCI1_IRQHandler
 * - SCI2_IRQHandler
 * - USI3_IRQHandler
 * - I2C1_IRQHandler
 * - PWM0_IRQHandler
 * - PWM1_IRQHandler
 * - PWM2_IRQHandler
 * - PWM3_IRQHandler
 * - EPORT0_0_IRQHandler
 * - EPORT0_1_IRQHandler
 * - EPORT0_2_IRQHandler
 * - EPORT0_3_IRQHandler
 * - EPORT0_4_IRQHandler
 * - EPORT0_5_IRQHandler
 * - EPORT0_6_IRQHandler
 * - EPORT0_7_IRQHandler
 * - EPORT1_0_IRQHandler
 * - EPORT1_1_IRQHandler
 * - EPORT1_2_IRQHandler
 * - EPORT1_3_IRQHandler
 * - EPORT1_4_IRQHandler
 * - EPORT1_5_IRQHandler
 * - EPORT1_6_IRQHandler
 * - EPORT1_7_IRQHandler
 * - CLCD_IRQHandler
 * - DCMI_IRQHandler
 * - I2C2_IRQHandler
 * - I2C3_IRQHandler
 * - SCI3_IRQHandler
 ***********************************************************************************
 */

/**
 * @brief EFLASH 中断服务入口函数
 */
void EFM_IRQHandler(void)
{

}

/**
 * @brief PMU 中断服务入口函数
 */
void PMU_IRQHandler(void)
{

}	

/**
 * @brief TC 中断服务入口函数
 */
void TC_IRQHandler(void)
{
#ifdef TC_DEMO 
    HAL_TC_IRQHandler();
#endif
}	

/**
 * @brief PIT1 中断服务入口函数
 * @note 32bits 可编程中断定时器
 */
//void PIT1_IRQHandler(void)
//{
////#ifdef PIT32_DEMO
//    HAL_PIT32_IRQHandler();
////#endif
//    
//#ifdef READER_DEMO
//    Reader_Time_IRQHandler();
//#endif
//	
//}	

/**
 * @brief PIT2 中断服务入口函数
 * @note 32bits 可编程中断定时器
 */
//void PIT2_IRQHandler(void)
//{
////#ifdef PIT32_DEMO
//    HAL_PIT32_IRQHandler();
////#endif
//}	
void PIT3_IRQHandler(void)
{
//#ifdef PIT32_DEMO
    HAL_PIT32_IRQHandler();
//#endif
}	
void PIT4_IRQHandler(void)
{
//#ifdef PIT32_DEMO
    HAL_PIT32_IRQHandler();
//#endif
}	
/**
 * @brief ENCR 中断服务入口函数
 */
void ENCR_IRQHandler(void)
{

}	

/**
 * @brief ENCR1 中断服务入口函数
 */
void ENCR1_IRQHandler(void)
{

}	

/**
 * @brief DMA1 中断服务入口函数
 */
void DMA1_IRQHandler(void)
{
#ifdef MCC_DEMO
    MCC_DMA_ISR();
#endif
}	

/**
 * @brief DMA2 中断服务入口函数
 */
//void DMA2_IRQHandler(void)
//{
//#ifdef DAC_AUDIO_DEMO
//    DACAudio_DMA2IRQHandler();
//#endif
//    
//#ifdef DAC_DEMO
//    DAC_DMA2IRQHandler();
//#endif
//    
//}	

/**
 * @brief DMA2D 中断服务入口函数
 */
void DMA2D_IRQHandler(void)
{
	#ifdef SDRAM2LCD_DEMO
   HAL_DMA2D_IRQHandler();
	#endif
	
	#ifdef CAMERA_DEMO
	HAL_DMA2D_IRQHandler();
	#endif
}	

/**
 * @brief TRNG 中断服务入口函数
 */
void TRNG_IRQHandler(void)
{

}	

/**
 * @brief SEC_PGD_LD_FD 中断服务入口函数
 */
void SEC_PGD_LD_FD_IRQHandler(void)
{

}	

/**
 * @brief PCI_DET 中断服务入口函数
 */
void PCI_DET_IRQHandler(void)
{
#ifdef PCI_DEMO
	HAL_PCI_IRQHandler();
#endif

}	

/**
 * @brief ASYNC_TIMER 中断服务入口函数
 */
void ASYNC_TIMER_IRQHandler(void)
{

}	

/**
 * @brief PCI 中断服务入口函数
 */
void PCI_IRQHandler(void)
{
	HAL_CPM_IRQHandler();
}	

/**
 * @brief PMU_RTC 中断服务入口函数
 */
//void PMU_RTC_IRQHandler(void)
//{
////#ifdef RTC_DEMO
//    HAL_RTC_IRQHandler();
////#endif
//    
//}	

/**
 * @brief RSA 中断服务入口函数
 */
void RSA_IRQHandler(void)
{

}	

/**
 * @brief SHA 中断服务入口函数
 */
void SHA_IRQHandler(void)
{

}	

/**
 * @brief AES 中断服务入口函数
 */
void AES_IRQHandler(void)
{

}	

/**
 * @brief SMS4 中断服务入口函数
 */
void SMS4_IRQHandler(void)
{

}	

/**
 * @brief QADC 中断服务入口函数
 */
void QADC_IRQHandler(void)
{
#ifdef ADC_DEMO
    HAL_ADC_IRQHandler();
#endif
	
}

/**
 * @brief DAC 中断服务入口函数
 */
void DAC_IRQHandler(void)
{

}

/**
 * @brief MCC 中断服务入口函数
 */
void MCC_IRQHandler(void)
{

}

/**
 * @brief TSI 中断服务入口函数
 */
void TSI_IRQHandler(void)
{

}

/**
 * @brief USB 中断服务入口函数
 */
void USB_IRQHandler(void)
{
#if (defined(USB_PROTOCOL_CCID)||\
     defined(USB_PROTOCOL_CDC )||\
     defined(USB_PROTOCOL_HID )||\
     defined(USB_PROTOCOL_MS  ))
    USBC_IRQHandler();
#endif
	
}

/**
 * @brief MIPI 中断服务入口函数
 */
void MIPI_IRQHandler(void)
{

}

/**
 * @brief SPI1 中断服务入口函数
 */
void SPI1_IRQHandler(void)
{
#ifdef SPI_DEMO
    HAL_SPI1_IRQHandler();
#endif
    
}

/**
 * @brief SPI2 中断服务入口函数
 */
void SPI2_IRQHandler(void)
{
#ifdef SPI_DEMO
    HAL_SPI1_IRQHandler();
#endif
}

/**
 * @brief SPI3 中断服务入口函数
 */
void SPI3_IRQHandler(void)
{
#ifdef SPI_DEMO
    HAL_SPI1_IRQHandler();
#endif
}

/**
 * @brief SPIM1 中断服务入口函数
 */
void SPIM1_IRQHandler(void)
{

}

/**
 * @brief SPIM2 中断服务入口函数
 */
void SPIM2_IRQHandler(void)
{

}

/**
 * @brief SPIM3 中断服务入口函数
 */
void SPIM3_IRQHandler(void)
{

}

/**
 * @brief UART1 中断服务入口函数
 */
void UART1_IRQHandler(void)
{
	UART1_IRQHandlerEvent();
}

/**
 * @brief UART2 中断服务入口函数
 */
void UART2_IRQHandler(void)
{
#ifdef UART_DEMO
    HAL_UART_IRQHandler(&UART1_Handle);
#endif

#ifdef BT_DEMO//xukai20200408,bt_demo使用的中断函数
    BT_SCI2_IRQHandler();
#endif
}

/**
 * @brief USI2 中断服务入口函数
 */
void USI3_IRQHandler(void)
{
#ifdef SMARTCARD_DEMO
	HAL_USI_IRQHandler();
#endif
}

/**
 * @brief I2C1 中断服务入口函数
 */
void I2C1_IRQHandler(void)
{
#ifdef I2C_DEMO
    HAL_I2C1_IRQHandler();
#endif
    
}

/**
 * @brief PWM0 中断服务入口函数
 */
void PWM0_IRQHandler(void)
{
#ifdef PWM_DEMO
    HAL_PWM_IRQHandler();
#endif
   
}

/**
 * @brief PWM1 中断服务入口函数
 */
void PWM1_IRQHandler(void)
{
#ifdef PWM_DEMO
    HAL_PWM_IRQHandler();
#endif
}

/**
 * @brief PWM2 中断服务入口函数
 */
void PWM2_IRQHandler(void)
{
#ifdef PWM_DEMO
    HAL_PWM_IRQHandler();
#endif
}

/**
 * @brief PWM3 中断服务入口函数
 */
void PWM3_IRQHandler(void)
{
#ifdef PWM_DEMO
    HAL_PWM_IRQHandler();
#endif
}
/**
 * @brief PWM4 中断服务入口函数
 */
void PWM4_IRQHandler(void)
{
#ifdef PWM_DEMO
    HAL_PWM_IRQHandler();
#endif
}
/**
 * @brief PWM5 中断服务入口函数
 */
void PWM5_IRQHandler(void)
{
#ifdef PWM_DEMO
    HAL_PWM_IRQHandler();
#endif
}
/**
 * @brief PWM6 中断服务入口函数
 */
void PWM6_IRQHandler(void)
{
#ifdef PWM_DEMO
    HAL_PWM_IRQHandler();
#endif
}
/**
 * @brief PWM7 中断服务入口函数
 */
void PWM7_IRQHandler(void)
{
#ifdef PWM_DEMO
    HAL_PWM_IRQHandler();
#endif
}

/**
 * @brief EPORT0_0 中断服务入口函数
 */
void EPORT0_0_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT0_0_IRQHandler();
#endif
}

/**
 * @brief EPORT0_1 中断服务入口函数
 */
void EPORT0_1_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT0_1_IRQHandler();
#endif
}

/**
 * @brief EPORT0_2 中断服务入口函数
 */
void EPORT0_2_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT0_2_IRQHandler();
#endif
}

/**
 * @brief EPORT0_3 中断服务入口函数
 */
void EPORT0_3_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT0_3_IRQHandler();
#endif
}

/**
 * @brief EPORT0_4 中断服务入口函数
 */
void EPORT0_4_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT0_4_IRQHandler();
#endif
}

/**
 * @brief EPORT0_5 中断服务入口函数
 */
//void EPORT0_5_IRQHandler(void)
//{
//#ifdef EPORT_DEMO
//    HAL_EPORT0_5_IRQHandler();
//#endif
//}

/**
 * @brief EPORT0_6 中断服务入口函数
 */
void EPORT0_6_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT0_6_IRQHandler();
#endif
}

/**
 * @brief EPORT0_7 中断服务入口函数
 */
void EPORT0_7_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT0_7_IRQHandler();
#endif
}

/**
 * @brief EPORT1_0 中断服务入口函数
 */
void EPORT1_0_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT1_0_IRQHandler();
#endif
}

/**
 * @brief EPORT1_1 中断服务入口函数
 */
void EPORT1_1_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT1_1_IRQHandler();
#endif
}

/**
 * @brief EPORT1_2 中断服务入口函数
 */
void EPORT1_2_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT1_2_IRQHandler();
#endif
}

/**
 * @brief EPORT1_3 中断服务入口函数
 */
void EPORT1_3_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT1_3_IRQHandler();
#endif
}

/**
 * @brief EPORT1_4 中断服务入口函数
 */
void EPORT1_4_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT1_4_IRQHandler();
#endif
}

/**
 * @brief EPORT1_5 中断服务入口函数
 */
void EPORT1_5_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT1_5_IRQHandler();
#endif
}

/**
 * @brief EPORT1_6 中断服务入口函数
 */
void EPORT1_6_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT1_6_IRQHandler();
#endif
}

/**
 * @brief EPORT1_7 中断服务入口函数
 */
void EPORT1_7_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT1_7_IRQHandler();
#endif
}

/**
 * @brief EPORT2_0 中断服务入口函数
 */
void EPORT2_0_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT2_0_IRQHandler();
#endif
}
/**
 * @brief EPORT2_1 中断服务入口函数
 */
void EPORT2_1_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT2_1_IRQHandler();
#endif
}

/**
 * @brief EPORT2_2 中断服务入口函数
 */
void EPORT2_2_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT2_2_IRQHandler();
#endif
}

/**
 * @brief EPORT2_3 中断服务入口函数
 */
void EPORT2_3_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT2_3_IRQHandler();
#endif
}

/**
 * @brief EPORT2_4 中断服务入口函数
 */
void EPORT2_4_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT2_4_IRQHandler();
#endif
}

/**
 * @brief EPORT2_5 中断服务入口函数
 */
void EPORT2_5_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT2_5_IRQHandler();
#endif
}

/**
 * @brief EPORT2_6 中断服务入口函数
 */
void EPORT2_6_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT2_6_IRQHandler();
#endif
}

/**
 * @brief EPORT2_7 中断服务入口函数
 */
void EPORT2_7_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT2_7_IRQHandler();
#endif
}
/**
 * @brief EPORT3_0 中断服务入口函数
 */
void EPORT3_0_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT3_0_IRQHandler();
#endif
}
/**
 * @brief EPORT3_1 中断服务入口函数
 */
void EPORT3_1_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT3_1_IRQHandler();
#endif
}

/**
 * @brief EPORT3_2 中断服务入口函数
 */
void EPORT3_2_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT3_2_IRQHandler();
#endif
}

/**
 * @brief EPORT3_3 中断服务入口函数
 */
void EPORT3_3_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT3_3_IRQHandler();
#endif
}

/**
 * @brief EPORT3_4 中断服务入口函数
 */
void EPORT3_4_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT3_4_IRQHandler();
#endif
}

/**
 * @brief EPORT3_5 中断服务入口函数
 */
void EPORT3_5_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT3_5_IRQHandler();
#endif
}

/**
 * @brief EPORT3_6 中断服务入口函数
 */
void EPORT3_6_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT3_6_IRQHandler();
#endif
}

/**
 * @brief EPORT3_7 中断服务入口函数
 */
void EPORT3_7_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT3_7_IRQHandler();
#endif
}

/**
 * @brief EPORT4_0 中断服务入口函数
 */
void EPORT4_0_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT4_0_IRQHandler();
#endif
}
/**
 * @brief EPORT4_1 中断服务入口函数
 */
void EPORT4_1_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT4_1_IRQHandler();
#endif
}

/**
 * @brief EPORT4_2 中断服务入口函数
 */
void EPORT4_2_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT4_2_IRQHandler();
#endif
}

/**
 * @brief EPORT4_3 中断服务入口函数
 */
void EPORT4_3_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT4_3_IRQHandler();
#endif
}

/**
 * @brief EPORT4_4 中断服务入口函数
 */
void EPORT4_4_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT4_4_IRQHandler();
#endif
}

/**
 * @brief EPORT4_5 中断服务入口函数
 */
void EPORT4_5_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT4_5_IRQHandler();
#endif
}

/**
 * @brief EPORT4_6 中断服务入口函数
 */
void EPORT4_6_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT4_6_IRQHandler();
#endif
}

/**
 * @brief EPORT4_7 中断服务入口函数
 */
void EPORT4_7_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT4_7_IRQHandler();
#endif
}
/**
 * @brief EPORT5_0 中断服务入口函数
 */
void EPORT5_0_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT5_0_IRQHandler();
#endif
}
/**
 * @brief EPORT5_1 中断服务入口函数
 */
void EPORT5_1_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT5_1_IRQHandler();
#endif
}

/**
 * @brief EPORT5_2 中断服务入口函数
 */
void EPORT5_2_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT5_2_IRQHandler();
#endif
}

/**
 * @brief EPORT5_3 中断服务入口函数
 */
void EPORT5_3_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT5_3_IRQHandler();
#endif
}

/**
 * @brief EPORT5_4 中断服务入口函数
 */
void EPORT5_4_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT5_4_IRQHandler();
#endif
}

/**
 * @brief EPORT5_5 中断服务入口函数
 */
void EPORT5_5_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT5_5_IRQHandler();
#endif
}

/**
 * @brief EPORT5_6 中断服务入口函数
 */
void EPORT5_6_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT5_6_IRQHandler();
#endif
}

/**
 * @brief EPORT5_7 中断服务入口函数
 */
void EPORT5_7_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT5_7_IRQHandler();
#endif
}
/**
 * @brief EPORT6_0 中断服务入口函数
 */
void EPORT6_0_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT6_0_IRQHandler();
#endif
}
/**
 * @brief EPORT6_1 中断服务入口函数
 */
void EPORT6_1_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT6_1_IRQHandler();
#endif
}

/**
 * @brief EPORT6_2 中断服务入口函数
 */
void EPORT6_2_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT6_2_IRQHandler();
#endif
}

/**
 * @brief EPORT6_3 中断服务入口函数
 */
void EPORT6_3_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT6_3_IRQHandler();
#endif
}

/**
 * @brief EPORT6_4 中断服务入口函数
 */
void EPORT6_4_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT6_4_IRQHandler();
#endif
}

/**
 * @brief EPORT6_5 中断服务入口函数
 */
void EPORT6_5_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT6_5_IRQHandler();
#endif
}

/**
 * @brief EPORT6_6 中断服务入口函数
 */
void EPORT6_6_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT6_6_IRQHandler();
#endif
}

/**
 * @brief EPORT6_7 中断服务入口函数
 */
void EPORT6_7_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT6_7_IRQHandler();
#endif
}
/**
 * @brief EPORT7_0 中断服务入口函数
 */
void EPORT7_0_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT7_0_IRQHandler();
#endif
}
/**
 * @brief EPORT7_1 中断服务入口函数
 */
void EPORT7_1_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT7_1_IRQHandler();
#endif
}

/**
 * @brief EPORT7_2 中断服务入口函数
 */
void EPORT7_2_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT7_2_IRQHandler();
#endif
}

/**
 * @brief EPORT7_3 中断服务入口函数
 */
void EPORT7_3_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT7_3_IRQHandler();
#endif
}

/**
 * @brief EPORT7_4 中断服务入口函数
 */
void EPORT7_4_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT7_4_IRQHandler();
#endif
}

/**
 * @brief EPORT7_5 中断服务入口函数
 */
void EPORT7_5_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT7_5_IRQHandler();
#endif
}

/**
 * @brief EPORT7_6 中断服务入口函数
 */
void EPORT7_6_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT7_6_IRQHandler();
#endif
}

/**
 * @brief EPORT7_7 中断服务入口函数
 */
void EPORT7_7_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT7_7_IRQHandler();
#endif
}
/**
 * @brief EPORT8_0 中断服务入口函数
 */
void EPORT8_0_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT8_0_IRQHandler();
#endif
}
/**
 * @brief EPORT8_1 中断服务入口函数
 */
void EPORT8_1_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT8_1_IRQHandler();
#endif
}

/**
 * @brief EPORT8_2 中断服务入口函数
 */
void EPORT8_2_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT8_2_IRQHandler();
#endif
}

/**
 * @brief EPORT8_3 中断服务入口函数
 */
void EPORT8_3_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT8_3_IRQHandler();
#endif
}

/**
 * @brief EPORT8_4 中断服务入口函数
 */
void EPORT8_4_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT8_4_IRQHandler();
#endif
}

/**
 * @brief EPORT8_5 中断服务入口函数
 */
void EPORT8_5_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT8_5_IRQHandler();
#endif
}

/**
 * @brief EPORT8_6 中断服务入口函数
 */
void EPORT8_6_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT8_6_IRQHandler();
#endif
}

/**
 * @brief EPORT8_7 中断服务入口函数
 */
void EPORT8_7_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT8_7_IRQHandler();
#endif
}
/**
 * @brief EPORT9_0 中断服务入口函数
 */
void EPORT9_0_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT9_0_IRQHandler();
#endif
}
/**
 * @brief EPORT9_1 中断服务入口函数
 */
void EPORT9_1_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT9_1_IRQHandler();
#endif
}

/**
 * @brief EPORT9_2 中断服务入口函数
 */
void EPORT9_2_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT9_2_IRQHandler();
#endif
}

/**
 * @brief EPORT9_3 中断服务入口函数
 */
void EPORT9_3_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT9_3_IRQHandler();
#endif
}

/**
 * @brief EPORT9_4 中断服务入口函数
 */
void EPORT9_4_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT9_4_IRQHandler();
#endif
}

/**
 * @brief EPORT9_5 中断服务入口函数
 */
void EPORT9_5_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT9_5_IRQHandler();
#endif
}

/**
 * @brief EPORT9_6 中断服务入口函数
 */
void EPORT9_6_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT9_6_IRQHandler();
#endif
}

/**
 * @brief EPORT9_7 中断服务入口函数
 */
void EPORT9_7_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT9_7_IRQHandler();
#endif
}

/**
 * @brief EPORT10_0 中断服务入口函数
 */
void EPORT10_0_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT10_0_IRQHandler();
#endif
}
/**
 * @brief EPORT10_1 中断服务入口函数
 */
void EPORT10_1_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT10_1_IRQHandler();
#endif
}

/**
 * @brief EPORT10_2 中断服务入口函数
 */
void EPORT10_2_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT10_2_IRQHandler();
#endif
}

/**
 * @brief EPORT10_3 中断服务入口函数
 */
void EPORT10_3_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT10_3_IRQHandler();
#endif
}

/**
 * @brief EPORT10_4 中断服务入口函数
 */
void EPORT10_4_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT10_4_IRQHandler();
#endif
}

/**
 * @brief EPORT10_5 中断服务入口函数
 */
void EPORT10_5_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT10_5_IRQHandler();
#endif
}

/**
 * @brief EPORT10_6 中断服务入口函数
 */
void EPORT10_6_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT10_6_IRQHandler();
#endif
}

/**
 * @brief EPORT10_7 中断服务入口函数
 */
void EPORT10_7_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT10_7_IRQHandler();
#endif
}

/**
 * @brief EPORT11_0 中断服务入口函数
 */
void EPORT11_0_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT11_0_IRQHandler();
#endif
}
/**
 * @brief EPORT11_1 中断服务入口函数
 */
void EPORT11_1_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT11_1_IRQHandler();
#endif
}

/**
 * @brief EPORT11_2 中断服务入口函数
 */
void EPORT11_2_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT11_2_IRQHandler();
#endif
}

/**
 * @brief EPORT11_3 中断服务入口函数
 */
void EPORT11_3_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT11_3_IRQHandler();
#endif
}

/**
 * @brief EPORT11_4 中断服务入口函数
 */
void EPORT11_4_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT11_4_IRQHandler();
#endif
}

/**
 * @brief EPORT11_5 中断服务入口函数
 */
void EPORT11_5_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT11_5_IRQHandler();
#endif
}

/**
 * @brief EPORT11_6 中断服务入口函数
 */
void EPORT11_6_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT11_6_IRQHandler();
#endif
}

/**
 * @brief EPORT11_7 中断服务入口函数
 */
void EPORT11_7_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT11_7_IRQHandler();
#endif
}
/**
 * @brief EPORT12_0 中断服务入口函数
 */
void EPORT12_0_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT12_0_IRQHandler();
#endif
}
/**
 * @brief EPORT12_1 中断服务入口函数
 */
void EPORT12_1_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT12_1_IRQHandler();
#endif
}

/**
 * @brief EPORT12_2 中断服务入口函数
 */
void EPORT12_2_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT12_2_IRQHandler();
#endif
}

/**
 * @brief EPORT12_3 中断服务入口函数
 */
void EPORT12_3_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT12_3_IRQHandler();
#endif
}

/**
 * @brief EPORT12_4 中断服务入口函数
 */
void EPORT12_4_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT12_4_IRQHandler();
#endif
}

/**
 * @brief EPORT12_5 中断服务入口函数
 */
void EPORT12_5_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT12_5_IRQHandler();
#endif
}

/**
 * @brief EPORT12_6 中断服务入口函数
 */
void EPORT12_6_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT12_6_IRQHandler();
#endif
}

/**
 * @brief EPORT12_7 中断服务入口函数
 */
void EPORT12_7_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT12_7_IRQHandler();
#endif
}
/**
 * @brief EPORT13_0 中断服务入口函数
 */
void EPORT13_0_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT13_0_IRQHandler();
#endif
}
/**
 * @brief EPORT13_1 中断服务入口函数
 */
void EPORT13_1_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT13_1_IRQHandler();
#endif
}

/**
 * @brief EPORT13_2 中断服务入口函数
 */
void EPORT13_2_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT13_2_IRQHandler();
#endif
}

/**
 * @brief EPORT13_3 中断服务入口函数
 */
void EPORT13_3_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT13_3_IRQHandler();
#endif
}

/**
 * @brief EPORT13_4 中断服务入口函数
 */
void EPORT13_4_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT13_4_IRQHandler();
#endif
}

/**
 * @brief EPORT13_5 中断服务入口函数
 */
void EPORT13_5_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT13_5_IRQHandler();
#endif
}

/**
 * @brief EPORT13_6 中断服务入口函数
 */
void EPORT13_6_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT13_6_IRQHandler();
#endif
}

/**
 * @brief EPORT13_7 中断服务入口函数
 */
void EPORT13_7_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT13_7_IRQHandler();
#endif
}
/**
 * @brief EPORT14_0 中断服务入口函数
 */
void EPORT14_0_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT14_0_IRQHandler();
#endif
}
/**
 * @brief EPORT14_1 中断服务入口函数
 */
void EPORT14_1_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT14_1_IRQHandler();
#endif
}

/**
 * @brief EPORT14_2 中断服务入口函数
 */
void EPORT14_2_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT14_2_IRQHandler();
#endif
}

/**
 * @brief EPORT14_3 中断服务入口函数
 */
void EPORT14_3_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT14_3_IRQHandler();
#endif
}

/**
 * @brief EPORT14_4 中断服务入口函数
 */
void EPORT14_4_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT14_4_IRQHandler();
#endif
}

/**
 * @brief EPORT14_5 中断服务入口函数
 */
void EPORT14_5_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT14_5_IRQHandler();
#endif
}

/**
 * @brief EPORT14_6 中断服务入口函数
 */
void EPORT14_6_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT14_6_IRQHandler();
#endif
}

/**
 * @brief EPORT14_7 中断服务入口函数
 */
void EPORT14_7_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT14_7_IRQHandler();
#endif
}
/**
 * @brief EPORT15_0 中断服务入口函数
 */
void EPORT15_0_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT15_0_IRQHandler();
#endif
}
/**
 * @brief EPORT15_1 中断服务入口函数
 */
void EPORT15_1_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT15_1_IRQHandler();
#endif
}

/**
 * @brief EPORT15_2 中断服务入口函数
 */
void EPORT15_2_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT15_2_IRQHandler();
#endif
}

/**
 * @brief EPORT15_3 中断服务入口函数
 */
void EPORT15_3_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT15_3_IRQHandler();
#endif
}

/**
 * @brief EPORT15_4 中断服务入口函数
 */
void EPORT15_4_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT15_4_IRQHandler();
#endif
}

/**
 * @brief EPORT15_5 中断服务入口函数
 */
void EPORT15_5_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT15_5_IRQHandler();
#endif
}

/**
 * @brief EPORT15_6 中断服务入口函数
 */
void EPORT15_6_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT15_6_IRQHandler();
#endif
}

/**
 * @brief EPORT15_7 中断服务入口函数
 */
void EPORT15_7_IRQHandler(void)
{
#ifdef EPORT_DEMO
    HAL_EPORT15_7_IRQHandler();
#endif
}
/**
 * @brief CLCD 中断服务入口函数
 */
void __weak CLCD_IRQHandler(void)
{

}

/**
 * @brief DCMI 中断服务入口函数
 */
//void DCMI_IRQHandler(void)
//{
// 	#ifdef CAMERA_DEMO
//	  HAL_DCMI_IRQHandler();
//	#endif
//}

/**
 * @brief I2C2 中断服务入口函数
 */
void I2C2_IRQHandler(void)
{
#ifdef I2C_DEMO
	HAL_I2C1_IRQHandler();
#endif
}

/**
 * @brief I2C3 中断服务入口函数
 */
void I2C3_IRQHandler(void)
{
#ifdef I2C_DEMO
	HAL_I2C1_IRQHandler();
#endif
}

/**
 * @brief UART3 中断服务入口函数
 */
void UART3_IRQHandler(void)
{
#ifdef UART_DEMO
	HAL_UART_IRQHandler(&UART1_Handle);
#endif
}

/**
 * @brief UART4 中断服务入口函数
 */
void UART4_IRQHandler(void)
{
#ifdef UART_DEMO
	#if UART_RECEIVE_TRANSMIT_IT_TEST
		HAL_UART_ISR_IRQHandler(UART4);
	#else
		HAL_UART_IRQHandler(&UART1_Handle);
	#endif
#endif
}

/**
 * @brief USI1 中断服务入口函数
 */
void USI1_IRQHandler(void)
{
#ifdef SMARTCARD_DEMO_EN
	HAL_USI_IRQHandler();
#endif
}



#ifdef ETH_DEMO

extern void xPortSysTickHandler(void);

#include "FreeRTOS.h"
#include "task.h"
#include "FreeRTOSConfig.h"


void SysTick_Handler(void)
{
	uint32_t ulReturn;
	
	HAL_TimingDelay_Decrement();
	
  /* 进入临界段，临界段可以嵌套 */
  ulReturn = taskENTER_CRITICAL_FROM_ISR();
  
  xPortSysTickHandler();

  /* 退出临界段 */
  taskEXIT_CRITICAL_FROM_ISR( ulReturn );
}


#else



#ifdef SDIOWIFI_DEMO
extern void xPortSysTickHandler();

void SysTick_Handler(void)
{
	xPortSysTickHandler();
}


#else
volatile unsigned int g_systickCounter = 0;
void __weak SysTick_Handler3(void)
{
  g_systickCounter++;
#ifdef SYSTICK_DEMO
	HAL_TimingDelay_Decrement();
#endif	
}

#endif

#endif

#include "can_drv.h"
void CAN0_3_IRQHandler(void)
{
//	DRV_CAN0_3_Handler();
}

void CAN4_7_IRQHandler(void)
{
	DRV_CAN4_7_Handler();
}

void CAN8_11_IRQHandler(void)
{
//	DRV_CAN8_11_Handler();
}

void CAN12_15_IRQHandler(void)
{
//	DRV_CAN12_15_Handler();
}

void CAN16_31_IRQHandler(void)
{
//	DRV_CAN16_31_Handler();
}

void CAN32_63_IRQHandler(void)
{
//	DRV_CAN32_63_Handler();
}


void DummyHandler(void)
{
	//	asm("bkpt");
	printf("WARNING: Default dummy interrupt handler entered \n");
}
void OperationalLogic_Error(void)
{
	//	asm("bkpt");
	printf("WARNING: Unexpected Operational logic error exception taken \n");
}

void Misaligned_Access(void)
{
	//	asm("bkpt");
	printf("WARNING: Unexpected Misaligned Access exception taken \n");
}

void Access_Error(void)
{
//	asm("bkpt");
	printf("WARNING: Unexpected Access Error exception taken \n");
}

void Illegal_Instrn(void)
{
	//	asm("bkpt");
	printf("WARNING: Unexpected Illegal_Instrn exception taken \n");
}

void Breakpoint_Exception(void)
{
	//	asm("bkpt");
	printf("WARNING: Unexpected Breakpoint exception taken \n");
}

void Unrecoverable_Error(void)
{
	//	asm("bkpt");
	printf("WARNING: Unexpected Unrecoverable_Error exception taken \n");
}

/***************zzc_20200921_start********************/


void HardFault_Handler(void)
{
    printf("HardFault_Handler!\r\n");
}

void MemManage_Handler(void)
{
    printf("MemManage_Handler!\r\n");
}

void BusFault_Handler(void)
{
    printf("BusFault_Handler!\r\n");
}

void UsageFault_Handler(void)
{
    printf("UsageFault_Handler!\r\n");
}


/***************zzc_20200921_end********************/


#endif /* end __HAL__ */

